Bug 228298

Summary: Review Request: python-louie - Dispatches signals between Python objects in a wide variety of contexts
Product: [Fedora] Fedora Reporter: Matthias Saou <matthias>
Component: Package ReviewAssignee: Xavier Lamien <lxtnow>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: lemenkov
Target Milestone: ---Flags: lxtnow: fedora‑review+
wtogami: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-04-20 06:51:04 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 233598    

Description Matthias Saou 2007-02-12 11:05:49 EST
Spec URL: http://ftp.es6.freshrpms.net/tmp/extras/python-louie/
SRPM URL: http://ftp.es6.freshrpms.net/tmp/extras/python-louie/
Description:
Louie provides Python programmers with a straightforward way to dispatch
signals between objects in a wide variety of contexts. It is based on
PyDispatcher, which in turn was based on a highly-rated recipe in the
Python Cookbook.
Comment 1 Matthias Saou 2007-03-01 09:25:32 EST
Please note that this is a totally trivial package from the packaging point of
view, so it should be really easy and quick to review.
Comment 2 Xavier Lamien 2007-03-23 12:12:13 EDT
it'll done this week-end
Comment 3 Xavier Lamien 2007-03-25 16:05:54 EDT
rpmlint output:

E: python-louie zero-length /usr/lib/python2.4/site-packages/louie/test/fixture.py
E: python-louie zero-length
/usr/lib/python2.4/site-packages/Louie-1.1-py2.4.egg-info/not-zip-safe

Are these packages plan to contain something during use ?
Comment 4 Matthias Saou 2007-03-26 07:21:18 EDT
These two "errors" are harmless.
- I did not touch the test, as the empty file might be included or something.
- I did not touch the egg-info files, as I'm unable to find any packaging policy
regarding these.
Comment 5 Xavier Lamien 2007-03-30 11:28:37 EDT
Well,

OK - Mock Build on FC-6 and FC-Devel (i386)
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License is BSD
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
46a61f7a88c624433c96f28ae30aa1a4  Louie-1.1.tar.gz
OK - Package has correct buildroot.
OK - BuildRequires isn't redundant.
OK - Sub-package is proper.
OK - %build and %install stages is correct and work.
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package is code or permissible content.
OK - %doc files don't affect runtime.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Changelog section is correct.
OK - rpmlint output is silent on SRPM files.

----------
Rpmlint output from RPM package:

E: python-louie zero-length /usr/lib/python2.4/site-packages/louie/test/fixture.py
E: python-louie zero-length
/usr/lib/python2.4/site-packages/Louie-1.1-py2.4.egg-info/not-zip-safe

I don't consider these errors as blocker.
As there's no issue (yet ?) about empty files from packaging policy.
Perhaps upstream could be more explicit about why is the case.
For now, 
these errors can be ignored.

-------
About the BSD license, no see any included docs files in package include the BSD
license text or files.
except the index.txt file which mention that we can get it from website.
I don't think it's enough, the plain text of the license should be added in pakcage.


----------
APPROVED
----------

Add license file before request CVSsync
Comment 6 Matthias Saou 2007-03-30 12:15:52 EDT
The current Packaging Guidelines do not require adding a separate license file
if the original sources don't contain one. Here it is the case, no complete
license text is provided, only external pointers. This IMHO should be considered
enough, especially since the license is BSD, which doesn't require shipping a
complete license with the software.
Comment 7 Xavier Lamien 2007-04-01 19:04:29 EDT
that right but, the fact is that you have a doc file mentioned the kind of
license that the package own and other one which point a external location to
get the license text.
So, it's not forbbiden to add as sourcex the license text and mention why.
some pakckages has been already accepted like that in waitting upstream add it
in the next release.

Comment 8 Matthias Saou 2007-04-03 13:35:09 EDT
> So, it's not forbbiden to add as sourcex the license text and mention why.

Nor is it "forbidden" to not add a source file for the BSD license.

I don't want to sound too pessimistic, but upstream seems mostly dead by looking
at their website.

Also, could you please remember to ASSIGN the bug to yourself when the review is
in progress? This would avoid me forgetting these reviews since they appear as
"NEW" in my bugzilla front page.
Comment 9 Xavier Lamien 2007-04-03 15:32:23 EDT
It seem that when the fedora-reviwe flags set to +, the ASSIGN statu is removed.
cause it was already assign since the beginning of the full review.

> I don't want to sound too pessimistic, but upstream seems mostly dead by 
> looking
> at their website.

well, i will ask throuth the ML if in these condition the license text can be 
added by the maintainer.
Comment 10 Matthias Saou 2007-04-04 04:17:44 EDT
> well, i will ask throuth the ML if in these condition the license text can be 
> added by the maintainer.

Of course it *can*, but I would just prefer to avoid it because :
- The sources clearly state that they are BSD licensed, with an external pointer
- The BSD license doesn't *require* you to ship a copy of the license

So I'd just like to not bother and ship yet-another-copy-of-the-BSD license,
since it is not needed to comply with the packaging guidelines.
Comment 11 Matthias Saou 2007-04-16 07:32:32 EDT
Ping? The package should be able to be accepted in its current form, unless I'm
missing something... please confirm ASAP.
Comment 12 Xavier Lamien 2007-04-17 10:49:36 EDT
(In reply to comment #11)
> Ping? The package should be able to be accepted in its current form, unless I'm
> missing something... please confirm ASAP.

As you said, it can be accepted, this form is acceptable.

---------
APPROUVED
---------

you can now request CVSsync
Comment 13 Matthias Saou 2007-04-18 05:43:31 EDT
New Package CVS Request
=======================
Package Name: python-louie
Short Description: Dispatches signals between Python objects in a wide variety
of contexts
Owners: matthias@rpmforge.net
Branches: devel FC-6 FC-5 EL-5 EL-4
InitialCC: